Skip to main content
Get Ticket

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

ticketId
integer<int32>
required

The identifier of the Ticket object

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Response

OK

The ticket carrier is used for representing a service request. Carrier object for Ticket. Services for the Ticket Carrier is available from the Ticket Agent.

TicketId
integer<int32>

The primary key (auto-incremented)

Title
string

The title of the ticket.

CreatedAt
string<date-time>

When the ticket was created.

LastChanged
string<date-time>

The last time the ticket was modified.

ReadByOwner
string<date-time>

The datetime for when the ticket last was read by the owner.

ReadByCustomer
string<date-time>

The datetime for when the ticket was read by the customer.

FirstReadByUser
string<date-time>

The datetime for when the ticket first was read by a user.

Activate
string<date-time>

When the ticket should be activated, if it is postponed.

ClosedAt
string<date-time>

When the ticket was closed.

RepliedAt
string<date-time>

The datetime for when the ticket was replied to. I.e. the first external message added to the ticket.

AlertTimeout
string<date-time>

The datetime for when the ticket should jump to the next alert_level.

Deadline
string<date-time>

Deadline for ticket.

CreatedBy
integer<int32>

The id of the user who created the ticket. 1 (system user) if the ticket was created externally

CreatedByName
string

Initials, also login name, possibly database user name

Author
string

A string representing the author of the ticket (same as author of first message).

OwnedBy
integer<int32>

The id of the user who owns the ticket. 1 (system user) if the ticket is unassigned.

OwnedByName
string

Initials, also login name, possibly database user name

Category
integer<int32>

The id of the category a ticket is in.

CategoryName
string

The (short) name of this category. E.g. 'support'.

CategoryFullname
string

The fullname (compiled from parents' names) for this category. E.g. 'norway/product A/support'.

Slevel
enum<string>

The securitylevel of the ticket.

Available options:
Unknown,
Internal,
External
Priority
integer<int32>

The reference to the ticket_priority table.

PriorityName
string

The name of the priority.

BaseStatus
enum<string>

The status of the ticket. I.e. active/closed/postponed/deleted

Available options:
Unknown,
Active,
Closed,
Postponed,
Deleted,
Merged,
Spam,
PostponedSpecific,
Postponed1Hour,
Postponed2Hours,
Postponed3Hours,
Postponed4Hours,
PostponedDay,
PostponedWeek,
PostponedMonth
TicketStatus
integer<int32>

User defined ticket status

TicketStatusDisplayValue
string

Get the display name of the ticket status.

Origin
enum<string>

What is the origin of this ticket

Available options:
Unknown,
Email,
SMS,
Fax,
Phone,
Facebook,
Twitter,
Internal,
CustomerCentre,
EMarketing,
AutoGenerated,
Chat,
Form,
API,
Flow
CustId
integer<int32>

The reference to the customer. NULL or -1 if ticket is not connected to customer.

PersonFirstname
string

First name

PersonMiddleName
string

Middle name or 'van' etc.

PersonLastname
string

Last name

PersonFullname
string

Get the full name for the primary person (customer)

AlertLevel
integer<int32>

The alert level for the ticket. Matches the level value of the ticket_alert table.

ConnectId
integer<int32>

If a ticket is connected to another ticket, this field is set to the id of the 'master' ticket.

ReadStatus
enum<string>

Whether the owner has read the ticket or not (red, yellow, green).

Available options:
Unknown,
Green,
Yellow,
Red
TimeToReply
integer<int32>

The time (minutes) between when the ticket was created and when it was replied to. Calculated based on priority's timeframe.

RealTimeToReply
integer<int32>

Same as time_to_reply, but not calculated based on priority.

TimeToClose
integer<int32>

The time (minutes) between when the ticket was created and when it was closed. Calculated based on priority's timeframe.

RealTimeToClose
integer<int32>

Same as time_to_close, but not calculated based on priority.

TimeSpentInternally
integer<int32>

The total time (seconds) within the priority's office hours the ticket has been in an open status (configurable), not including current state

TimeSpentExternally
integer<int32>

The total time (seconds) within the priority's office hours the ticket has been in a external waiting status (configurable), not including current state

TimeSpentQueue
integer<int32>

The total time (seconds) within the priority's office hours the ticket has been in a queue status, not including current state

RealTimeSpentInternally
integer<int32>

The total time (seconds) within 24x7 the ticket has been in an open status (configurable), not including current state

RealTimeSpentExternally
integer<int32>

The total time (seconds) within 24x7 the ticket has been in a external waiting status (configurable), not including current state

RealTimeSpentQueue
integer<int32>

The total time (seconds) within 24x7 hours the ticket has been in a queue status, not including current state

TimeSpent
integer<int32>

The total time (minutes). Aggregated time spent from ticket's messages. Read-only for external use.

HasAttachment
boolean

Boolean indicating if this ticket has one or more attachments.

NumReplies
integer<int32>

The number of replies (messages) to the customer for this request.

NumMessages
integer<int32>

The total number of messages for this request.

FromAddress
string

The from-address used when this ticket got created, e.g. by email

ContactId
integer<int32>

The company of the person in the cust_id field, if that person belongs to a company

ContactName
string

The name of the connected contact

OwnedByAssociateId
integer<int32>

The associate id of the owner of the ticket.

Language
string

The language of the first external message

Sentiment
integer<int32>

The sentiment index of the last external message

SentimentConfidence
integer<int32>

The sentiment confidence of the last external message

SaleId
integer<int32>

Reference to sale table

ProjectId
integer<int32>

Reference to project table

SaleHeading
string

The heading of the connected sale

ProjectName
string

The name of the connected project

FormSubmissionId
integer<int32>

If this ticket was created from a form submission, this field will point to that record

TicketTypeId
integer<int32>

The id of the Request Type

TicketTypeName
string

The name of the Request Type

TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.